WoMax Documentation

# t_OMax_data Struct Reference
[Max5 Externals, Data Sequence structure]

OMax.data external. More...

`#include <OMax.data.h>`

Collaboration diagram for t_OMax_data:
[legend]

List of all members.

## Public Attributes
t_object | ob
| Pointer to the object itself.
t_symbol * | oname
| Pointer to FO name.
O_DataType | datatype
| Type of data.
int | nbcoeffs
| Number of coefficient for Spectral data.
t_symbol * | dataname
| Pointer to Data Sequence name.
O_data | data
| Data sequence.
t_int32_atomic | wflag
| Writing flag.
t_int32_atomic | readcount
| Reader Count.
bool | noDelete
| Keep Data states.
void * | out0
| Outlet 0 (leftmost).
## Standard Max5 methodes
void * | OMax_data_new (t_symbol *s, long argc, t_atom *argv)
| Object instantiation.
void | OMax_data_free (t_OMax_data *x)
| Object destruction.
void | OMax_data_assist (t_OMax_data *x, void *b, long io, long index, char *s)
| Inlet/Outlet contextual information when patching in Max5.
## Input/Output routines
void | OMax_data_size (t_OMax_data *x)
| Get the size of the Data Sequence.
void | OMax_data_init (t_OMax_data *x)
| Initialise the Data Sequence structure.
void | OMax_data_reset (t_OMax_data *x)
| Reset the Data Sequence structure.
void | OMax_data_type (t_OMax_data *x)
| Set data type of the sequence.
## Internal routines
t_symbol * | OMax_data_name (t_symbol *oname)
| Return Data Sequence name from FO name.

## Detailed Description

OMax.data external.

This external object ports Data Sequence structure into Max5. Input handeled are messages `size`, `init`, and `reset`

Definition at line 31 of file OMax.data.h.

## Member Function Documentation

void OMax_data_free | ( | t_OMax_data * | x | ) |

Object destruction.

Depending on t_OMax_data::noDelete value, erase every state of the Data Sequence by calling O_data::freestates or keeps it */

Definition at line 155 of file OMax.data.c.

Here is the call graph for this function:

void OMax_data_init | ( | t_OMax_data * | x | ) |

Initialise the Data Sequence structure.

Remarks:
  Input message in Max5: `init`

Definition at line 214 of file OMax.data.c.

Here is the call graph for this function:

t_symbol * OMax_data_name | ( | t_symbol * | oname | ) |

Return Data Sequence name from FO name.

Append `_data` to the FO name

Definition at line 269 of file OMax.data.c.

void * OMax_data_new | ( | t_symbol * | s,
|  | long | argc,
|  | t_atom * | argv |
| ) |  |  |

Object instantiation.

The first argument given to the Max5 object is considered as a valid FO `name` (and stored in member t_OMax_data::oname). Then declares `name_data` as the Data Sequence name (member t_OMax_data::dataname) and links it with the OMax.data object.

Remarks:
  Sets also the data type (member t_OMax_data::datatype) depending on the second argument given to the Max5 object (if any, otherwise default is LETTERS ) */

Definition at line 73 of file OMax.data.c.

Here is the call graph for this function:

void OMax_data_reset | ( | t_OMax_data * | x | ) |

Reset the Data Sequence structure.

Remarks:
  Input message in Max5: `reset`

Depending on t_OMax_data::noDelete value, erases every state of the Data Sequence by calling O_data::freestates or keeps it and calls O_data::clear_vect instead

Definition at line 230 of file OMax.data.c.

Here is the call graph for this function:

void OMax_data_size | ( | t_OMax_data * | x | ) |

Get the size of the Data Sequence.

Remarks:
  Input message in Max5: `size`

Definition at line 206 of file OMax.data.c.

Here is the call graph for this function:

void OMax_data_type | ( | t_OMax_data * | x | ) |

Set data type of the sequence.

Remarks:
  Input message in Max5: `type`

Definition at line 257 of file OMax.data.c.

The documentation for this struct was generated from the following files:

- OMax.data.h
- OMax.data.c